> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get items



## OpenAPI

````yaml /openapi/plus.json get /v1/plus/carts/{id}/items/
openapi: 3.0.3
info:
  title: Yume API — Plus
  version: 1.0.0
  description: Подключаемые продукты тарифа Plus.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/plus/carts/{id}/items/:
    get:
      tags:
        - carts
      summary: Get items
      operationId: carts_items_list
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CompanyCartItemDetail'
          description: ''
      security:
        - jwtAuth: []
        - {}
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    CompanyCartItemDetail:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        product:
          allOf:
            - $ref: '#/components/schemas/PlusProductInfo'
          readOnly: true
        product_company:
          allOf:
            - $ref: '#/components/schemas/PlusProductCompanyInfo'
          readOnly: true
        product_price:
          allOf:
            - $ref: '#/components/schemas/PlusProductPriceSeriliazer'
          readOnly: true
        prices:
          allOf:
            - $ref: '#/components/schemas/PlusProductPriceSeriliazer'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        quantity:
          type: integer
          maximum: 2147483647
          minimum: 0
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          readOnly: true
        cart:
          type: integer
          readOnly: true
      required:
        - cart
        - created_at
        - id
        - price
        - prices
        - product
        - product_company
        - product_price
        - updated_at
    PlusProductInfo:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        description:
          type: string
          nullable: true
        category:
          type: integer
        thumbnail:
          type: string
          format: uri
          nullable: true
      required:
        - category
        - id
        - name
    PlusProductCompanyInfo:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        count:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        company:
          type: integer
          title: Компания
      required:
        - company
        - id
    PlusProductPriceSeriliazer:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        duration:
          type: string
        weekdays:
          type: array
          items:
            type: integer
            maximum: 6
            minimum: 0
        start:
          type: string
          format: time
          nullable: true
        end:
          type: string
          format: time
          nullable: true
        outer_id:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        active:
          type: boolean
        order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        tenant:
          type: integer
          nullable: true
        product:
          type: integer
          nullable: true
        product_company:
          type: integer
          nullable: true
      required:
        - duration
        - id
        - name
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````